export interface Range {
    offset: number;
    length: number;
}
export declare class RangesLoader {
    private requestHeader;
    private withCredentials;
    private abortSignal;
    constructor();
    setRequestHeader(requestHeader: HeadersInit): void;
    setWithCredentials(withCredentials: boolean): void;
    setAbortSignal(abortSignal: AbortSignal): void;
    load(url: string, ranges: Range[]): Promise<ArrayBuffer>;
    extractRanges(arrayBuffer: ArrayBuffer, ranges: Range[]): ArrayBuffer;
}
